Name:           xdg-desktop-portal-hyprland
Version:        0.4.0
Release:        %autorelease
Summary:        xdg-desktop-portal backend for hyprland

License:        MIT
URL:            https://github.com/hyprwm/%{name}

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  git

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(inih)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libspa-0.2)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.24
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  systemd-rpm-macros


Requires:       dbus
# required for Screenshot portal implementation
Requires:       grim
Requires:       xdg-desktop-portal
# required for hyprland-share-picker
Requires:       slurp

Enhances:       hyprland
Supplements:    (hyprland and (flatpak or snapd))

%description
%{summary}.


%prep
cd %{_builddir}
git clone https://github.com/hyprwm/xdg-desktop-portal-hyprland.git ./ --recursive
%_fixperms .


%build
%meson \
    -Dsd-bus-provider=libsystemd
%meson_build
cd hyprland-share-picker
%cmake -G Ninja
%cmake_build


%install
%meson_install
cd hyprland-share-picker
%cmake_install

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service


%files
%license LICENSE
%doc README.md contrib/config.sample
%{_bindir}/hyprland-share-picker
%{_libexecdir}/%{name}
%{_datadir}/xdg-desktop-portal/portals/hyprland.portal
%{_datadir}/hyprland-protocols/protocols/hyprland-global-shortcuts-v1.xml
%{_datadir}/hyprland-protocols/protocols/hyprland-toplevel-export-v1.xml
%{_datadir}/pkgconfig/hyprland-protocols.pc
%{_datadir}/dbus-1/services/*.service
%{_userunitdir}/%{name}.service


%changelog
%autochangelog
